Package ch.qos.logback.core.net

## Class LoginAuthenticator

- java.lang.Object
- - javax.mail.Authenticator
  - - ch.qos.logback.core.net.LoginAuthenticator

    public class LoginAuthenticator
    extends javax.mail.Authenticator

Used by SMTPAppender for authentication purposes.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.mail.PasswordAuthentication` `getPasswordAuthentication()`

### Methods inherited from class javax.mail.Authenticator

`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPasswordAuthentication

    public javax.mail.PasswordAuthentication getPasswordAuthentication()

Overrides:
  `getPasswordAuthentication` in class `javax.mail.Authenticator`